=== debian/control ===
Source: ros-kinetic-qt-gui
Section: misc
Priority: optional
Maintainer: Scott Logan <cottsay@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libpyside2-dev, libshiboken2-dev, pyqt5-dev, python-pyqt5, python-pyqt5.qtsvg, python-pyside2, python-sip-dev, qt5-qmake, ros-kinetic-catkin, shiboken2
Homepage: http://ros.org/wiki/qt_gui
Standards-Version: 3.9.2

Package: ros-kinetic-qt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-kinetic-python-qt-binding (>= 0.3.0), tango-icon-theme
Description: qt_gui provides the infrastructure for an integrated graphical user interface based on Qt.
 It is extensible with Python- and C++-based plugins (implemented in separate packages) which can contribute arbitrary widgets. It requires either PyQt or PySide bindings.
